Bug 132237 - createrepo -g - what's it supposed to do?
createrepo -g - what's it supposed to do?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 00:31 EDT by Bill Nottingham
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-13 04:06:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
quick patch to fix a) (807 bytes, patch)
2004-09-10 14:33 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2004-09-10 00:31:36 EDT
Basically, which part of this is a bug, and which part is expected
behavior?

From the top level of a built tree, run:

createrepo -q -g Fedora/base/comps.xml -p .

This:

a) puts 'repodata/Fedora/base/comps.xml' in repomd.xml
b) copies Fedora/base/comps.xml to repodata/comps.xml

These two behaviors seem to be at odds - which is right?
Comment 1 Seth Vidal 2004-09-10 00:37:25 EDT
a is a bug
b is correct.

what it should be doing is copying the file to repodata
and putting the path in the repodata dir in the repomd.xml file.
Comment 2 Bill Nottingham 2004-09-10 14:33:07 EDT
Created attachment 103699 [details]
quick patch to fix a)

This should fix the issue.
Comment 3 Seth Vidal 2004-09-11 15:42:40 EDT
fixed in cvs.

will be in 0.3.8.

thanks
Comment 4 Paul Nasrat 2004-09-13 04:06:57 EDT
0.3.8 released and built

Note You need to log in before you can comment on or make changes to this bug.